Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000794Core InformIndexingpublic2011-11-01 11:002014-05-07 07:34
Reportermjwach 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000794: creating two directions and setting them in opposition prevents compilation
DescriptionI don't know whether my source code is supposed to be legal, but at least there should be a friendly error message. When I compile, this error is produced:


Translating the Source - Failed

The application ran your source text through the Inform 7 compiler, as usual, but the compiler unexpectedly failed. This should not happen even if your source text is gibberish, so you may have uncovered a bug in the program.

When a program like the I7 compiler fails, it typically returns an error number: this time, the number was 10, and that probably indicates that the compiler failed to manage its data structures properly. Perhaps you created a complicated situation on which it has not been fully tested.
Minimal Source Text To Reproduce
"that" by him

There is a room.

Noways is a direction.  Allways is a direction.  The opposite of noways is allways.
Additional InformationThis compiles without apparent error:

"that" by him

There is a room.

Noways is a direction. The opposite of noways is allways.
TagsNo tags attached.
Effect(critical) Compiler crashes
Attached Files

- Relationships
has duplicate 0000853closed Core Inform Bare declaration of a direction results in generic compiler failure 
has duplicate 0001050closed Windows Inform application "Translating the Source - Failed" (compiler failure, error number 10) 
has duplicate 0001051closed Windows Inform application Cannot create new direction properly 

-  Notes
(0001439)
EmacsUser (manager)
2011-11-01 12:36

Confirmed:

- - - -
Program received signal EXC_BAD_ACCESS, Could not access memory.
Reason: KERN_PROTECTION_FAILURE at address: 0x00000058
0x000848aa in Plugins__Map__index_room_connections ()
(gdb) bt
#0 0x000848aa in Plugins__Map__index_room_connections ()
#1 0x00084f58 in map_add_to_World_index ()
#2 0x0001697c in Config__Plugins__Call__add_to_World_index ()
#3 0x0008df0b in Data__Objects__index ()
#4 0x0008e814 in Plugins__Map__render_single_room_as_HTML ()
#5 0x000f51d4 in Data__Objects__page_World ()
#6 0x00130650 in Config__Template__interpret ()
#7 0x001314bc in main ()
(gdb)
- - - -
(0001483)
EmacsUser (manager)
2011-12-09 12:21

As suggested by private bug #812, another workaround is to add the line

- - - -
The opposite of allways is noways.
- - - -

so that both directions have their opposites set.
(0001494)
graham (administrator)
2011-12-17 12:18

Fixed; it was indeed a bug in the indexing code.

- Issue History
Date Modified Username Field Change
2011-11-01 11:00 mjwach New Issue
2011-11-01 12:36 EmacsUser Effect (critical) Compiler reports internal error => (critical) Compiler crashes
2011-11-01 12:36 EmacsUser Note Added: 0001439
2011-11-01 12:36 EmacsUser Severity serious => critical
2011-11-01 12:36 EmacsUser Status new => confirmed
2011-11-01 12:36 EmacsUser Category Properties => Indexing
2011-12-09 12:18 EmacsUser Relationship added has duplicate 0000812
2011-12-09 12:21 EmacsUser Note Added: 0001483
2011-12-17 12:18 graham Note Added: 0001494
2011-12-17 12:18 graham Status confirmed => resolved
2011-12-17 12:18 graham Resolution open => fixed
2011-12-17 12:18 graham Assigned To => graham
2012-01-29 13:31 EmacsUser Relationship added has duplicate 0000853
2012-03-27 13:49 EmacsUser Relationship added has duplicate 0000890
2012-11-25 12:43 EmacsUser Relationship added has duplicate 0001050
2012-11-25 12:43 EmacsUser Relationship added has duplicate 0001051
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker